## List External Mappings for a m3ter Entity

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/externalmappings/external/{entity}/{m3terId} \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/externalmappings/external/{entity}/{m3terId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/externalmappings/external/{entity}/{m3terId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Formats

#### Success Response

```json
{
  "data": [\
    {\
      "id": "<string>",\
      "m3terEntity": "Account",\
      "m3terId": "00000000-0000-0000-0000-000000000000",\
      "externalSystem": "Stripe",\
      "externalTable": "Customer",\
      "externalId": "cus_00000000000000",\
      "version": 123,\
      "dtCreated": "2023-11-07T05:31:56Z",\
      "dtLastModified": "2023-11-07T05:31:56Z",\
      "createdBy": "<string>",\
      "lastModifiedBy": "<string>",\
      "integrationConfigId": "00000000-0000-0000-0000-000000000000"\
    }\
  ],\
  "nextToken": "<string>"
}
```

#### Error Responses

```json
{
  "message": "<string>"
}
```

### Path Parameters

- **orgId**: string, required
  The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
- **entity**: string, required
  The entity type.
- **m3terId**: string, required
  The unique identifier (UUID) of the m3ter entity.

### Query Parameters

- **pageSize**: integer<int32>
  Specifies the maximum number of External Mappings to retrieve per page. Required range: `1 <= x <= 200`
- **nextToken**: string
  The `nextToken` for multi-page retrievals. It is used to fetch the next page of External Mappings in a paginated list.

### Response 200

Returns the list of External Mappings for a m3ter entity.
